1. Are you ready for the Galaxy S20? Here is everything we know so far!

Wow, Thanks, Samsung

Discussion in 'Android Devices' started by vettn71, Nov 14, 2015.

  1. vettn71

    vettn71 Lurker
    Thread Starter

    Just "upgraded" my Tab S 8.4 to 5.02. I dont understand why Samsung will put Marshmellow on older devices, but strands us with an older version of Lollipop. I hate to say it, hut an iPad may be in my future

    Jim
     



    1. Download the Forums for Android™ app!


      Download

       
  2. glc

    glc Android Enthusiast

    Unless this an unbranded phone you should stop blaming Samsung and talk to your carrier.
     
  3. vettn71

    vettn71 Lurker
    Thread Starter

    When i first read your reply to my post i thought "Wow! That was stupid to post it on the phone forum". At second glance, i see its in the Tab S 8.4 forum. Obviously, you know Jack Shit and Jack keft town. What, do you have stock in Samsung? If i want to comment on gettong a out of date upgrade, i dont think i need permisdion. They could at least gone with 5.1.1. Thats my opinion. You dont have to like it
     
  4. glc

    glc Android Enthusiast

    OK, so it is a Galaxy that is not a phone.
     
Loading...

Share This Page

Loading...